%define	name	fvwm2
%define	version	2.5.10
%define	release	%mkrel 9

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	An improved version of the FVWM X-based window manager
URL: 		http://www.fvwm.org/
Source0:	ftp://ftp.fvwm.org/pub/fvwm/version-2/fvwm-%{version}.tar.bz2
Source1:    fvwm2.png
Source4:	fvwm2
Source8:	system.fvwm2rc
Patch0:		http://mirror.hamakor.org.il/pub/mirrors/gentoo-portage/x11-wm/fvwm/files/fvwm-2.5.9-translucent-menus.diff
License:	GPL
Group:		Graphical desktop/FVWM based
Provides:	    fvwm
BuildRequires:	flex
BuildRequires:	libx11-devel
BuildRequires:	libxt-devel
BuildRequires:	xpm-devel
BuildRequires:	png-devel
BuildRequires:	readline-devel
BuildRequires:	termcap-devel
BuildRequires:	gtk+1.2-devel
BuildRequires:  fribidi-devel
BuildRequires:  rplay-devel
BuildRequires:  libstroke-devel
Buildroot:      %{_tmppath}/%{name}-%{version}

%description
FVWM2 (the F stands for whatever you want, but the VWM stands for Virtual
Window Manager) is an improved version of the FVWM window manager for the X
Window System and shares the same characteristics as FVWM.

Install the fvwm2 package if you'd like to use the FVWM2 window manager. If you
install fvwm2, you'll also need to install fvwm2-icons.

%package	gtk
Summary:	Gtk module for FVWM
Group:		Graphical desktop/FVWM based
Requires:	fvwm2

%description	gtk
Gnome/GTK module for FVWM

%prep
%setup -q -n fvwm-%{version}
%patch0 -p1

%build
%configure \
    --disable-gtktest \
    --libexecdir=%{_libdir}/X11/fvwm2 \
    --sysconfdir=%{_sysconfdir}/X11/fvwm2 \
    --with-imagepath=%{_datadir}/icons


%make LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

%install
rm -rf %{buildroot}
%{makeinstall_std} LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

install -d -m 755 %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}

mkdir -p %{buildroot}%{_sysconfdir}/X11/fvwm2
install -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/X11/fvwm2/system.fvwm2rc-menu

mkdir -p %{buildroot}%{_sysconfdir}/menu.d
install -m 755 %{SOURCE4} %{buildroot}%{_sysconfdir}/menu.d

# session stuff
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat > %{buildroot}%{_sysconfdir}/X11/wmsession.d/09fvwm2 << EOF
NAME=Fvwm2
ICON=fvwm2.png
EXEC=%{_bindir}/fvwm2
DESC=A popular window manager
SCRIPT:
exec %{_bindir}/fvwm2
EOF

# OT fvwm is fvwm1
rm -f %{buildroot}%{_bindir}/fvwm2
mv %{buildroot}%{_bindir}/fvwm %{buildroot}%{_bindir}/fvwm2

%find_lang %name --all-name

%files -f %name.lang
%defattr(-,root,root)
%doc INSTALL README AUTHORS INSTALL.fvwm NEWS ChangeLog docs
%config(noreplace) %{_sysconfdir}/X11/fvwm2
%config(noreplace) %{_sysconfdir}/menu.d/fvwm2
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/09fvwm2
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/fvwm
%{_libdir}/X11/fvwm2
%{_iconsdir}/%{name}.png
%exclude %{_libdir}/X11/fvwm2/fvwm/%{version}/FvwmGtk

%files gtk
%defattr(-,root,root)
%doc modules/FvwmGtk/TODO
%{_libdir}/X11/fvwm2/fvwm/%{version}/FvwmGtk

%post
%update_menus
%make_session

%postun
%clean_menus
%make_session

%clean
rm -rf %{buildroot}


%changelog
* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.10-9mdv2007.1
+ Revision: 84723
- new release
- fix buildrequires name
- bump release
- fix buildrequires
- bump release
- removed unused macros
- unused anymore
- move icons into a distinct source package, as they are distributed separatly
- fix menus
- no more need for the cursor hack
- add icon in wmsession script
- switch to new menu conversion system
- no need for menu entries
- patch is now uncompressed
- use a single configuration file, as twm
- uncompressed all additional sources
- icons are now generated with convert
- revert previous change, seems this menu template is needed after all
- don't ship default menu, let's use standard menu system
- unused anymore
- convert old menu to new xdg menu
  fix old menu to use png icons
  use fvwm2 icons set
- drop old obsoletes
- %mkrel
- spec cleanup
- fix prefix
- fix buildrequires
- Import fvwm2



* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.10-5mdk
- rebuild for new readline

* Sat Jul 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-4mdk
- From Philippe Reynes <trem@zarb.org> 
    - fix the compilation problem

* Sat Jun 12 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-3mdk
- Fix missing binary (Thanks Gregoire Favre <Gregoire.Favre@freesurf.ch>)

* Thu Jun 10 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-2mdk
- apply transparency patch0 (ask by Yves Brissaud)

* Thu Jun 10 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-1mdk
- 2.5.10

* Thu Apr 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.18-1mdk
- 2.4.18

* Mon Dec 29 2003 Marcel Pol <mpol@mandrake.org> 2.4.17-2mdk
- provides fvwm
- fvwm2-icons requires fvwm
- fix menucommand with double prefix
- add startfvwm2 script to set cursor

* Sun Dec 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.17-1mdk
- 2.4.17
- spec cosmetics
- macroize
- don't generate file lists (weird problem..), use %%exclude in stead
- requires for fvwm2-icons and fvwm2-gtk on fvwm2
- fix obsolete-not-provided

* Sat Aug 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.16-4mdk
- own config dir

* Tue Aug 19 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.16-3mdk
- update menu/split config ass suggest by Drew S <johnnydeppert@myrealbox.com>

* Sun Jul 20 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.16-2mdk
- cleanup

* Sat Jul 19 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.16-1mdk
- 2.4.16
- add real menu system

* Fri Dec 27 2002 Warly <warly@mandrakesoft.com> 2.4.14-1mdk
- new version

* Tue Sep 10 2002 Warly <warly@mandrakesoft.com> 2.4.9-1mdk
- new version

* Thu Jul 18 2002 Warly <warly@mandrakesoft.com> 2.4.8-1mdk
- new version

* Wed Apr 10 2002 Warly <warly@mandrakesoft.com> 2.4.6-2mdk
- remove libstroke, use too much memory.

* Tue Dec  4 2001 Warly <warly@mandrakesoft.com> 2.4.3-1mdk
- new version

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 2.2.4-14mdk
- BuildRequires:	flex

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-13mdk
- Prevent a conflict with xemacs

* Mon Nov 13 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-12mdk
- Build with glibc-2.2 & gcc-2.96

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.4-11mdk
- entry in /etc/X11/wmsession.d

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.4-10mdk
- automatically added BuildRequires

* Tue May  2 2000 DindinX <odin@mandrakesoft.com> 2.2.4-9mdk
- Added xkill to the button bar

* Tue May  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.2.4-8mdk
- moved icons' ratio to 1.0 because some wm won't resize keeping aspect ratio
- added a mini icon
- added Alt-Tab simili-Windows behaviour [found in the faq]

* Mon May  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.2.4-7mdk
- big patch on menu-method to forbid use of any icons except those
  from /usr/share/icons/mini, because they won't be auto-resized,
  thus leading to an awful menu
- added menu entry icons
- cleaned up specfile
- removed $%&^ directory own of /usr/share/icons for fvwm2-icons
- replaced reference to $RPM_SOURCE_DIR

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 2.2.4-6mdk
- added fndSession call.

* Thu Apr 27 2000 DindinX <odin@mandrakesoft.com> 2.2.4-5mdk
- Improved default configuration

* Wed Apr 26 2000 DindinX <odin@mandrakesoft.com> 2.2.4-4mdk
- removed conflicting icons from fvwm2-icons

* Tue Apr 25 2000 DindinX <odin@mandrakesoft.com> 2.2.4-3mdk
- added i18n to the menu support
- added a search path for the pixmap, so the icons for the menu
  sections are found and displayed

* Thu Apr  6 2000 DindinX <odin@mandrakesoft.com> 2.2.4-2mdk
- Made the default theme a little less ugly

* Wed Apr  5 2000 DindinX <odin@mandrakesoft.com> 2.2.4-1mdk
- New release (only bugfixes)
- Better handing of menu
- First try to support the "Menu" key

* Mon Apr  3 2000 DindinX <odin@mandrakesoft.com> 2.2.2-11mdk
- Added menu support

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 2.2.2-10mdk
- Group and spec fixes

* Wed Nov 03 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build in new environnment

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Move folder.xpm to fvwfolder to don't have conflict with new kdebase.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.2.2

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environment (Ver: 7mdk).

* Thu May 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.2.1
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com> 
- added some icons from kdebase back to this package for upgrade
- compatibility.

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- don't require xterm-color

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- better default system.fvwm2rc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- package is still not finished yet
- upgraded to 2.2, got rid of all the cruft in the spec file

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.0.47
- mark config files as %config files

* Mon Jun 29 1998 Michael Maher <mike@redhat.com>
- removed duplicate files found in the package Another level.
- fixes bug: 651 

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- long time no new version released :-(. -> misc patch
- major spec file cleanups

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- Fixed more bugs (bugs patch)

* Fri Oct 24 1997 Cristian Gafton <gafton@redhat.com>
- fixed Alpha build

* Thu Oct 16 1997 Cristian Gafton <gafton@redhat.com>
- fixed FvwmTaskBar severe bug (taskbar patch)
- misc fixes

* Mon Oct 13 1997 Cristian Gafton <gafton@redhat.com>
- built against glibc; added -rh and -fixes patches
